Preview card for a link
const url = 'https://api.gampeon.com/v1/link-preview?url=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.gampeon.com/v1/link-preview?url=example' \ --header 'Authorization: Bearer <token>'Title and site name of an https page, for the post form. We don’t load images or descriptions from other sites. Previews are kept for 7 days.
Not available with access tokens.
Rate limit: 60 per hour per account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Https link, up to 500 characters
Responses
Section titled “Responses”Card (title null if the page has none or can’t be reached)
object
Host without www.
Page title (og:title or
Example generated
{ "url": "example", "domain": "example", "title": "example", "siteName": "example", "youtube": "example"}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 60 per hour per account. Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}